import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import CsharpLogoLight from './CsharpLogoLight';
import CsharpLogoDark from './CsharpLogoDark';
import { useThemeModification, useBrandModification } from '../../utils';
const CsharpLogoSvg = forwardRef(function CsharpLogoSvg(props, ref) {
    const { isDarkTheme } = useThemeModification();
    const { isDarkBrand } = useBrandModification();
    return isDarkTheme || isDarkBrand ? (_jsx(CsharpLogoDark, Object.assign({}, props, { ref: ref }))) : (_jsx(CsharpLogoLight, Object.assign({}, props, { ref: ref })));
});
export default CsharpLogoSvg;
